Update API key

PATCH
https://reloop.sh/api/api-key/v1/:api_key_id

Path Parameters

api_key_idstringRequired

API Key identifier

Body Parameters

namestringRequired

Name for the API key

  • Minimum length: 1
  • Maximum length: 255
import { Reloop } from "reloop-email";

const reloop = new Reloop({ apiKey: "rl_123456789" });

const { response: apiKey, error } = await reloop.apiKey.update("key_123456789", { name: "Updated Key Name" });
if (error) throw error;
{
  "id": "key_123456789",
  "name": "Production API Key",
  "start": "rl_live",
  "prefix": "rl",
  "enabled": true,
  "requestCount": 150,
  "createdAt": "2026-03-29T10:00:00Z",
  "updatedAt": "2026-03-29T10:00:00Z",
  "permissions": "read,write",
  "createdBy": {
    "id": "user_123",
    "name": "John Doe",
    "email": "john@example.com"
  }
}

Was this page helpful?

Edit this page